<template>
  <JText
    tag="h3"
    color="text"
    :weight="active ? 'bold' : 'normal'"
    class="text-ellipsis"
  >
    {{ conversationName }}
  </JText>
</template>

<script setup lang="ts">
import { computed, PropType } from 'vue';
import { JText } from '@new-jira-clone/ui/src/components';
import { IChat } from '@/shared';

const props = defineProps({
  chat: {
    type: Object as PropType<IChat>,
    required: true,
  },
  active: {
    type: Boolean,
    default: false,
  },
});

const conversationName = computed(() => {
  if (props.chat.name) return props.chat.name;
  if ('interlocutor' in props.chat) {
    return props.chat.interlocutor.name;
  }

  return props.chat.members
    .map((member) => member.name)
    .slice(0, 4)
    .join(', ');
});
</script>
